unit Inventory;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, WEBLib.StdCtrls, Vcl.StdCtrls, WEBLib.Grids, Vcl.Grids, WEBLib.DBCtrls, Data.DB,
  WEBLib.DB, WEBLib.CDS, WEBLib.WebTools;

type
  TForm4 = class(TWebForm)
    WebRadioGroup1: TWebRadioGroup;
    WebButton1: TWebButton;
    WebDBGrid1: TWebDBGrid;
    ConnectionInventory: TWebClientConnection;
    InventoryDataset: TWebClientDataSet;
    InventoryDatasource: TWebDataSource;
    procedure setInventoryParameters(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

{$R *.dfm}

procedure TForm4.setInventoryParameters(Sender: TObject);
var param1: string;
param2: string;
begin
  param1 := GetQueryParam('co001comp');
  if param1 = '' then
  //Envoyer user a la page precedente car aucun parametre fournis
  else
  param2 := GetQueryParam('cu001idno');
  ConnectionInventory.URI := Format('http://localhost:2001/tms/xdata/CrmService/GetInventory?co001comp=%s&cu001idno=%s', [param1, param2]);
end;

end.